window.screenOrientation = "sensor_landscape";
loadLib("libs/min/laya.core.min.js");
loadLib("libs/min/laya.ui.min.js");
loadLib("libs/min/laya.d3.min.js");
loadLib("libs/min/laya.physics3D.min.js");
loadLib("libs/platform.js");
loadLib("libs/androidUtil.js")
loadLib("js/proletariat.js");


window.langManager = {
    langType: "ZH",
    langs: {
        EN: {
            level: "Level ",
            not_enough_money: "Not enough money!",
            get_x_money: "Get {x} money!"
        },
        RU: {
            level: "ур. ",
            not_enough_money: "Не хватает денег!!",
            get_x_money: "Получи {x} денег!!"
        },
        TR: {
            level: "seviye ",
            not_enough_money: "Yeterli para yok!!",
            get_x_money: "{x} para kazanın!!"
        },
        ZH: {
            level: "等级 ",
            not_enough_money: "金币不足!",
            get_x_money: "获得 {x} 金币!"
        }
    },
    imageMap: [],
    getLangStr(key, number) {
        let str = this.langs[this.langType][key];
        if (!str) return key;
        number && (str = str.replace("{x}", number));
        return str ? str : key;
    },
    getLangImage(url) {
        let res = url;
        for (let index = 0; index < this.imageMap.length; index++) {
            let key = this.imageMap[index];
            let name = `/${key}.png`;
            if (url.indexOf(name) > 0) {
                let langEnd = this.langType == "RU" ? "_ru" : (this.langType == "TR" ? "_tr" : (this.langType == "EN" ? "_en" : ""));
                let replaceName = `/${key}${langEnd}.png`
                res = url.replace(name, replaceName);
                break;
            }
        }
        return res;
    },
    getTopUrl() {
        let domain = this.langType == "RU" ? "yandex.ru" : (this.langType == "TR" ? "yandex.ru" : "yandex.com");
        return "https://" + domain;
    }
}
if (window.YaGames) {
    window.boardName = "board234957"
    window.maxScore = 0;
    YaGames.init().then(ysdk => {
        console.log('Yandex SDK initialized');
        window.ysdk = ysdk;
        var i18n = ysdk.environment.i18n;
        if (i18n.lang == "ru") {
            window.langManager.langType = "RU";
        } else if (i18n.lang == "tr") {
            window.langManager.langType = "TR";
        } else {
            window.langManager.langType = "EN";
        }
        window.ysdk.getStorage()
            .then(storage => {
                var useAgent = window.navigator.userAgent.toLowerCase();
                if (useAgent.indexOf("iphone") > 0) {
                    window.ystorage = storage;
                }
            })
        loadLib("js/bundle.js");
    }).catch(err => {})
} else {
    loadLib("js/bundle.js");
}