! function() {

    class platform {
        constructor() {
            this.prompt_ = null;
            this.fullAdTime = 0;
        }
        static getInstance() {
            if (!this._instance) {
                this._instance = new platform();
            }
            return this._instance;
        }
        getStorageSync(key) {
            let value = null;
            try {
                let v = Laya.LocalStorage.getItem(key);
                value = JSON.parse(v);
            } catch (error) {

            }

            return value
        }
        setStorageSync(key, value) {
            return Laya.LocalStorage.setItem(key, JSON.stringify(value));
        }
        //复活
        showReward(success, failure,s) {
            console.log("---showReward---");
            if (window.ysdk) {
                let isReward = false;
                window.ysdk.adv.showRewardedVideo({
                    callbacks: {
                        onOpen: () => {
                            console.warn('Video ad open.');
                            Laya.SoundManager.muted = true;
                        },
                        onRewarded: () => {
                            isReward = true;
                            console.warn('Rewarded!');
                        },
                        onClose: () => {
                            if (isReward) {
                                success && success();
                                success = null;
                            } else {
                                failure && failure();
                                failure = null;
                            }
                            Laya.SoundManager.muted = false;
                            console.warn('Video ad closed.');
                        },
                        onError: (e) => {
                            failure && failure();
                            failure = null;
                            Laya.SoundManager.muted = false;
                            console.warn('Error while open video ad:', e);
                        }
                    }
                },s)
            } else {
                success && success();
                success = null;
            }
        }
        showFullScreenAd(call, force) {
            console.log("---showFullScreen---");
            let currentTime = Math.round(new Date().getTime() / 1000);
            if (window.ysdk && (force || !isDraft) && currentTime - this.fullAdTime >= 60) {
                window.ysdk.adv.showFullscreenAdv({
                    callbacks: {
                        onOpen: () => {
                            this.fullAdTime = Math.round(new Date().getTime() / 1000);
                            Laya.SoundManager.muted = true;
                            console.warn(`fullscreen open`)
                        },
                        onClose: (wasShown) => {
                            if (wasShown) {
                                this.fullAdTime = Math.round(new Date().getTime() / 1000);
                            }
                            call && call();
                            Laya.SoundManager.muted = false;
                            console.warn(`fullscreen close`, wasShown)
                            // some action after close
                        },
                        onError: (error) => {
                            call && call();
                            Laya.SoundManager.muted = false;
                            console.warn(`fullscreen error`, error)
                            // some action on error
                        }
                    }
                })
            } else {
                call && call();
            }
        }
        prompt(msg, duration) {
            if (!this.prompt_) {
                this.prompt_ = document.createElement('div');
                this.prompt_.style.cssText =
                    "font-family:siyuan;max-width:80%;min-width:320px;padding:10px 10px 10px 10px;min-height:40px;color: rgb(255, 255, 255);line-height: 20px;text-align:center;border-radius: 4px;position: fixed;top: 40%;left: 50%;transform: translate(-50%, -50%);z-index: 999999;background: rgba(0, 0, 0,.7);font-size: 16px;";
                document.body.appendChild(this.prompt_);
            }
            this.prompt_.innerHTML = msg;
            duration = isNaN(duration) ? 2000 : duration;
            this.prompt_.style.display = "inline";
            this.prompt_.style.opacity = '1';
            setTimeout(function() {
                var d = 0.5;
                this.prompt_.style.webkitTransition = '-webkit-transform ' + d + 's ease-in, opacity ' + d +
                    's ease-in';
                this.prompt_.style.opacity = '0';
                this.prompt_.style.display = "none";
            }.bind(this), duration);
        }
        createMoreGame(parent) {
            // if (!window.btnMore) {
            var btnMore = new Laya.Image()
            btnMore.skin = "res/logo_128.png";
            btnMore.zOrder = 999;
            btnMore.left = 10;
            btnMore.centerY = 0;
            btnMore.width = 100;
            btnMore.height = 100;
            btnMore.on(Laya.Event.CLICK, btnMore, () => {
                if (window.location.ancestorOrigins && window.location.ancestorOrigins[0]) {
                    window.open(window.location.ancestorOrigins[0] + '/games/developer?name=Linder')
                } else {
                    window.open('https://yandex.ru/games/developer?name=Linder')
                }
            })
            if (parent) {
                parent.addChild(btnMore);
            } else {
                Laya.stage.addChild(btnMore);
            }
            window.btnMore = btnMore;
            // }
        }
        toggleBtnMore(visible = true) {
            window.btnMore && (window.btnMore.visible = visible);
        }

    }
    platform._instance = null;
    window["platform"] = platform;
}()